Subject: Re: Linux 4.8: Reported regressions as of Sunday, 2016-08-28

From: Pavel Machek <[email-masked]>
Date: Thu, 15 Sep 2016 11:37:56 +0200

Hi!

> Hi! Here is my second regression report for Linux 4.8. It lists 11
> regressions. 5 of them are new; 5 mentioned in the last report two 
> weeks ago got fixed.
> 
> FWIW: A small detail: I did not include "Regression - SATA disks behind 
> USB ones on v4.8-rc1, breaking boot. [Re: Who reordered my disks]" 
> (http://www.spinics.net/lists/linux-usb/msg144871.html ) in below list 
> report. The discussion mentions that device names like /dev/sd? are not 
> considered stable as they might change depending on various factors -- 
> like the order in which modules are loaded or other timing issues (like 
> in this case). That is how it is afaik (even if it's not well known), 
> and that's why I didn't include the issue; let me know if you think it 
> should be on the list.
> 
> OTOH I included "Commit cb4f71c429 deliberately changes order of 
> network interfaces" (http://www.spinics.net/lists/kernel/msg2325600.html )
> for now, as I think traditional network interface names (eth0, eth1, ...)
> might be considered stable -- but I'm not sure, that's why I raise it
> here.
> 
> Anyway, you know the drill: Are you aware of any other regressions?
> Then please let me know. And tell me if there is anything in the
> report that shouldn't be there.
> 
> Ciao, Thorsten
> 
> P.S.: Thanks to all those that Aaro Koskinen, Hans de Goede, Pavel 
> Machek for CCing me when reporting regressions. Much appreciated! Ohh, 
> and thx to all those that replied when I asked them for status updates
> when things look stuck.

Hmm, and there's one more apparently. See

Date: Tue, 13 Sep 2016 22:38:45 +0200
From: Martin Steigerwald <[email-masked]>
To: Pavel Machek <[email-masked]>
Cc: kernel list <[email-masked]>, [email-masked],
        [email-masked], [email-masked],
        [email-masked], "Rafael J. Wysocki"
        <[email-masked]>
Subject: Re: 4.8-rc1: it is now common that machine needs re-run of xrandr
        after resume
User-Agent: KMail/5.2.3 (Linux/4.8.0-rc6-tp520-btrfstrim+; KDE/5.25.0; x86_64;  
        ; )

I'm glad I'm not the only one seeing it, but I don't have idea how to
actually debug it.

Thanks and best regards,
									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html